login

online now

We have 90 guests and no members online

search

 
Welcome, Guest
Username: Password: Remember me
  • Page:
  • 1

TOPIC: compatibility with Arduino v1.0

compatibility with Arduino v1.0 6 years 6 months ago #100

So Arduino software v1.0 is out, and I think it's introduced some incompatibility with the GinSing libararies.

Now when I try to compile my app, I get the message:

In file included from firstGinSing.cpp:1:
C:\Program Files\arduino-1.0\libraries\GinSing/GinSing.h:83:62: error: WProgram.h: No such file or directory
In file included from C:\Program Files\arduino-1.0\libraries\GinSing/GinSing.h:91,
from firstGinSing.cpp:1:

According to the Arduino dev boards, that WProgram.h has been deprecated.

just wondering if there's a timeframe for making a version of GinSing that's compatible with v1.0?

thanks for all your great work, I'm having a blast with this!
The administrator has disabled public write access.

Re: compatibility with Arduino v1.0 6 years 6 months ago #103

We have just released version 3.0 of the GinSing software libraries and examples that is compatible with the Arduino 1.0 IDE. You can install the update by first downloading the new IDE, then downloading the GinSing release 3.0 and replacing the folders in your IDE directories.
Last Edit: 6 years 5 months ago by administrator.
The administrator has disabled public write access.
  • Page:
  • 1
Time to create page: 0.155 seconds